Download it now!
Bug 77718 - Other: Picture inside SmartArt changes after RT
Summary: Other: Picture inside SmartArt changes after RT
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Umesh Kadam
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-21 08:57 UTC by Umesh Kadam
Modified: 2014-04-28 16:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File has Smart-Arts with pictures in it. (541.99 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-04-21 08:57 UTC, Umesh Kadam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Umesh Kadam 2014-04-21 08:57:54 UTC
Created attachment 97676 [details]
File has Smart-Arts with pictures in it.

Problem description: 

Steps to reproduce:
1. Open the file in LibreOffice
2. Click File -> Save As (Microsoft Word 2007/2010 (.docx))

Current behavior:
-Picture inside Smart-Art is not getting preserved. The images in  smart-art in the roundtrip file are getting changed.
-When the media/ folder is checked for original & roundtrip files, it is observed that some of the images are missing.

Expected behavior:
The images in Smart-Art should have resemblance to the originalfile
Operating System: All
Version: 4.3.0.0.alpha0+ Master
Comment 1 Jorendc 2014-04-21 09:48:08 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 619b4c40da9e85febbb08a3f7cf8aa8d10963fc1
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-04-18_00:07:53

Kind regards,
Joren
Comment 2 Commit Notification 2014-04-27 18:15:51 UTC
umeshkadam committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=825265f093a844f952d0dd64e5b4de9a1aba3185

fdo#77718: Picture inside SmartArt changes after RT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-04-28 16:10:01 UTC
Bug looks fixed to me :-). Thanks!

Tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: a3c00ee3c7b3b0fbcde32baeb7023c7e8526b908
TinderBox: Win-x86@47-TDF, Branch:MASTER, Time: 2014-04-28_07:22:55

Kind regards,
Joren